► |  | Embedded GUI: Widgets Within Editors

1 | Containers
2 | Controls
3 | Control Snips
4 | Helpers
5 | Snip Functions

▼ | 2 | Controls

2.1 | embedded-text-button%
2.2 | embedded-button%
2.3 | embedded-toggle-button%
2.4 | embedded-message%
2.5 | vline%
2.6 | hline%

On this page:

new

Inherited methods:
from alignment<%>
align
get-min-height
get-min-width
get-parent
set-min-sizes
show
show/ hide
stretchable-height
stretchable-width
from dllist<%>
for-each
map-to-list
next
prev

top ← prev up next →

class embedded-text-button% : class?
superclass: snip-wrapper%
extends: | alignment<%>

A button with a text label.

> > constructor
> > (new embedded-text-button% |
> > |  | [label label] |
> > |  | [callback callback]) |
> → (is-a?/c embedded-text-button%)
> label : string?
> callback : ((is-a?/c text-button-snip%) (is-a?/c event%) . -> . void?)

The callback is called when the button is clicked.
top ← prev up next →